## org.eclipse.xsd.presentation
Class XSDModelWizard.XSDModelWizardInitialObjectCreationPage

    java.lang.Object
      org.eclipse.jface.dialogs.DialogPage
          org.eclipse.jface.wizard.WizardPage
              org.eclipse.xsd.presentation.XSDModelWizard.XSDModelWizardInitialObjectCreationPage

All Implemented Interfaces:
  IDialogPage, IMessageProvider, IWizardPage

Enclosing class:
  XSDModelWizard

    public class XSDModelWizard.XSDModelWizardInitialObjectCreationPage

extends WizardPage

This is the page where the type of object to create is selected.

Field Summary
`protected Combo` `encodingField`
`protected boolean` `isCustomSchemaNamespace`
`protected Text` `schemaForSchemaNamespaceText`
`protected Text` `schemaForSchemaPrefixText`
`protected Text` `schemaNamespaceText`
`protected Text` `schemaPrefixText`

Fields inherited from interface org.eclipse.jface.dialogs.IMessageProvider
`ERROR, INFORMATION, NONE, WARNING`

Constructor Summary
`XSDModelWizard.XSDModelWizardInitialObjectCreationPage(java.lang.String pageId)`

Method Summary
`void` `createControl(Composite parent)`
`EObject` `createInitialModel()`
`java.lang.String` `getEncoding()`
`boolean` `performFinish()` Store the dialog field settings upon completion.
`void` `setVisible(boolean visible)`

Methods inherited from class org.eclipse.jface.wizard.WizardPage
`canFlipToNextPage, getContainer, getDialogSettings, getImage, getName, getNextPage, getPreviousPage, getShell, getWizard, isCurrentPage, isPageComplete, setDescription, setErrorMessage, setImageDescriptor, setMessage, setPageComplete, setPreviousPage, setTitle, setWizard, toString`

Methods inherited from class org.eclipse.jface.dialogs.DialogPage
`convertHeightInCharsToPixels, convertHorizontalDLUsToPixels, convertVerticalDLUsToPixels, convertWidthInCharsToPixels, dispose, getControl, getDescription, getDialogFontName, getErrorMessage, getFont, getMessage, getMessageType, getTitle, getToolTipText, initializeDialogUnits, isControlCreated, performHelp, setButtonLayoutData, setControl, setMessage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.dialogs.IDialogPage
`dispose, getControl, getDescription, getErrorMessage, getMessage, getTitle, performHelp`

Field Detail

### schemaForSchemaPrefixText

    protected Text schemaForSchemaPrefixText

### schemaForSchemaNamespaceText

    protected Text schemaForSchemaNamespaceText

### schemaPrefixText

    protected Text schemaPrefixText

### schemaNamespaceText

    protected Text schemaNamespaceText

### encodingField

    protected Combo encodingField

### isCustomSchemaNamespace

    protected boolean isCustomSchemaNamespace

Constructor Detail

### XSDModelWizard.XSDModelWizardInitialObjectCreationPage

    public XSDModelWizard.XSDModelWizardInitialObjectCreationPage(java.lang.String pageId)

Method Detail

### createControl

    public void createControl(Composite parent)

### performFinish

    public boolean performFinish()

  Store the dialog field settings upon completion.

### createInitialModel

    public EObject createInitialModel()

### setVisible

    public void setVisible(boolean visible)

  Specified by:
    `setVisible` in interface `IDialogPage`
  Overrides:
    `setVisible` in class `DialogPage`

### getEncoding

    public java.lang.String getEncoding()

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.